# $Revision: 1.55 $, $Date: 2009/03/29 15:12:06 $
# TODO:
# - some tests fail, but it seems to be an error in tests, not in log4j
#
# NOTE:
# - javamail is provided by java-gnu-mail
# - jmx,jndi by java-sun-jre
#
# Conditional build:
%bcond_without	dist		# build components which can't be distributed
%bcond_with	java_sun	# build with java-sun
%bcond_with	jms		# JMS interface (org.apache.log4j.or.jms)
%bcond_with	jmx		# JMX interface (org.apache.log4j.jmx)
%bcond_with	tests		# tun tests
#
%if %{without dist}
%define	with_jms	1
%define	with_jmx	1
%endif
%if "%{pld_release}" == "ti"
%define	with_java_sun	1
%endif
#
%define		srcname	log4j
#
%include	/usr/lib/rpm/macros.java
Summary:	log4j - logging for Java
Summary(pl.UTF-8):	log4j - zapis logów dla Javy
Name:		java-%{srcname}
Version:	1.2.15
Release:	8
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/logging/log4j/%{version}/apache-%{srcname}-%{version}.tar.gz
# Source0-md5:	10f04abe4d68d5a89e8eb167e4e45e1a
URL:		http://logging.apache.org/log4j/
Patch0:		apache-log4j-javadoc.patch
Patch1:		logging-%{srcname}-sourcetarget.patch
BuildRequires:	ant >= 1.7.1-4
%{?with_tests:BuildRequires:	ant-junit}
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	javamail >= 1.2
BuildRequires:	jaxp_parser_impl
%{?with_jms:BuildRequires:	jms >= 1.1}
%{?with_jmx:BuildRequires:	jmx-tools >= 1.2.1}
%{?with_jmx:BuildRequires:	jmx >= 1.2.1}
%{?with_jmx:BuildRequires:	jndi}
BuildRequires:	jpackage-utils
%{?with_tests:BuildRequires:	junit >= 3.8}
BuildRequires:	rpmbuild(macros) >= 1.300
Suggests:	java-mail >= 1.2
%{?with_jms:Suggests:	jms >= 1.1}
%{?with_jmx:Suggests:	jmx-tools >= 1.2.1}
Provides:	log4j = %{version}
Provides:	logging-log4j = %{version}
Obsoletes:	jakarta-log4j
Obsoletes:	log4j
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
With log4j it is possible to enable logging at runtime without
modifying the application binary.

%description -l pl.UTF-8
Przy użyciu log4j można włączyć zapis do logów przy uruchamianiu bez
modyfikowania binarnej aplikacji.

%package doc
Summary:	Online manual for log4j
Summary(pl.UTF-8):	Dokumentacja online do log4j
Group:		Documentation
Obsoletes:	jakarta-log4j-doc
Obsoletes:	logging-log4j-doc

%description doc
Online manual for log4j.

%description doc -l pl.UTF-8
Dokumentacja online do log4j.

%package javadoc
Summary:	API documentation for log4j
Summary(pl.UTF-8):	Dokumentacja API log4j
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-log4j-doc
Obsoletes:	logging-log4j-javadoc

%description javadoc
API documentation for log4j.

%description javadoc -l pl.UTF-8
Dokumentacja API log4j.

%prep
%setup -q -n apache-log4j-%{version}
%patch0 -p1
%patch1 -p1

%build
required_jars="mail activation %{?with_jms:jms} %{?with_jmx:jmx jmxtools}"
CLASSPATH=$(build-classpath $required_jars); export CLASSPATH
%ant jar javadoc

%if %{with tests}
cd tests
CLASSPATH=$(build-classpath $required_jars junit)
export CLASSPATH
%ant build runAll
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{srcname}-%{version}}
cp -a dist/lib/%{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

cp -a docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc LICENSE NOTICE
%{_javadir}/log4j-%{version}.jar
%{_javadir}/log4j.jar

%files doc
%defattr(644,root,root,755)
%doc site/{css,images,xref,xref-test,*.html}

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-log4j.spec,v $
Revision 1.55  2009/03/29 15:12:06  paszczus
- proper bcond for Titanium; rel 8

Revision 1.54  2009/03/28 22:19:08  pawelz
- more P/O after changing Name
- rel 7

Revision 1.53  2009/03/28 20:10:10  pawelz
- build tests with required libs

Revision 1.52  2009/03/28 20:06:48  paszczus
- cleanup

Revision 1.51  2009/03/28 20:04:04  paszczus
- rel 6

Revision 1.50  2009/03/28 19:53:01  paszczus
- really use java-sun if defined

Revision 1.49  2009/03/28 19:36:18  paszczus
- added bcond java_sun
- added conditional bcond for Titanium
- rel 5

Revision 1.48  2009/03/28 12:46:27  paszczus
- removed java-activation BR
- Obsoletes: log4j due name change

Revision 1.47  2009/03/27 13:17:46  paszczus
- changed Name to java-log4j

Revision 1.46  2009/02/19 12:31:46  pawelz
- dropped R: jdk

Revision 1.45  2009/02/03 13:14:42  pawelz
- added tests bcond (disabled by default, see TODO)
- BR: ant >= 1.7.1-4 (1.7 because of rmic=forking, 1.7.1-4 because of
  source/target attributes used with gcj)
- added path1 (source/target=1.3; min level supported by gcj)
- use gcj
- use external rmic (needed for compatibility with java-gcj-compat)

Revision 1.44  2009/01/26 19:24:44  glen
- Libraries/Java

Revision 1.43  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.42  2008-01-03 14:21:15  qboosh
- no misleading default bconds

Revision 1.41  2007-12-31 16:31:27  glen
- add dist bcond
- do not include apidocs in -doc
- rel 4

Revision 1.40  2007-12-31 16:06:21  glen
- rel 3

Revision 1.39  2007-12-16 02:12:40  qboosh
- added bconds for JMS and JMX interfaces

Revision 1.38  2007-12-08 13:59:48  glen
- fixup javadoc %post
- drop EA and try coope this time
- javamail should not be required (changed to suggests)
- specific license
- rel 2

Revision 1.37  2007-12-03 16:51:51  hawk
- updated to 1.2.15 (note: source tarball name was changed from
  logging-log4j to apache-log4j - cvs move + obsoletes?)

Revision 1.36  2007-12-02 19:30:17  glen
- java deps
- remove junit dep on runtime

Revision 1.35  2007-09-19 15:30:34  baggins
- revert last change

Revision 1.34  2007/09/19 15:27:12  baggins
- rel 3
- provide log4j12.jar

Revision 1.33  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.32  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.31  2006/12/08 01:26:48  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.30  2006/11/11 18:24:08  twittner
- up to 1.2.14
- added BR: java-activation
  (/usr/bin/build-classpath: error: Could not find activation Java extension for this JVM)

Revision 1.29  2006/05/26 22:48:15  qboosh
- Obsoletes for jakarta-log4j*

Revision 1.28  2006/05/25 12:50:33  jajcus
- renamed from "jakarta-log4j" to "logging-log4j"
- BR: jmx removed, jmx support was not built anyway
- BR: jpackage-utils
- P: log4j
- ExclusiveArch
- do not try to build classpath from nonexistent jars
- javadoc subpackage added

Revision 1.27  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.26  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.25  2006/05/21 14:00:19  glen
- unneccessary unset

Revision 1.24  2006/05/21 13:54:10  radek
- include macros.java, BR: jpackage-utils
- BR: jmx is back (provided by java-sun-jre)
- unified build section (similar to ant.spec)

Revision 1.23  2006/05/21 11:43:37  radek
- BR: javamail is back, added todo & note comments

Revision 1.22  2006/05/21 10:48:22  radek
- version 1.2.13
- commented out BR/R: javamail, jms, jmx: builds without these
  (I'm not sure if it's a proper change, though)

Revision 1.21  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.20  2005/05/07 17:32:10  qboosh
- updated to 1.2.9, new URLs (now it's logging-log4j)
- removed obsolete patches

Revision 1.19  2004/12/14 16:59:56  baggins
- DON'T hardcode java paths!

Revision 1.18  2004/10/14 21:59:33  undefine
- small patch to build with java 1.5

Revision 1.17  2004/07/15 11:53:13  pluto
- use %{_javadir}.

Revision 1.16  2003/07/02 12:05:16  pascalek
- updated to 1.2.8

Revision 1.15  2003/06/25 07:40:39  pascalek
- Release 2
- Not versioned symlink to versioned jar
- Added jmx jars to CLASSPATH

Revision 1.14  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2002/09/04 22:12:58  qboosh
- updated Source URL

Revision 1.11  2002/09/04 20:59:46  qboosh
- updated to 1.2.6
- removed obsolete junit3.8 patch (no tests included in this version),
  added unreachable patch with fix for "unreachable statement" compilation error

Revision 1.10  2002/08/31 09:20:40  qboosh
- fixed build with junit 3.8 (changes assert to assertTrue)

Revision 1.9  2002/08/18 17:13:29  blues
- release 3 - license fix, new doc

Revision 1.8  2002/04/25 16:38:28  arturs
- fixed a small typo

Revision 1.7  2002/03/12 18:46:18  aflinta
- changed JAVA_HOME patch to proper directory
- changed buildrequires to jdk
- release 2

Revision 1.6  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2002/01/09 16:18:13  ankry
- Fixed source URL

Revision 1.2  2001/11/30 12:28:36  qboosh
- descriptions, cosmetics

Revision 1.1  2001/10/02 08:05:13  pascalek
- initial revision
